#!/bin/sh -e

FILES="libandroid-properties.so.1
       libhybris-hwcomposerwindow.so.1.0.0
       libnfc_nxp.so.1.0.0
       libui.so.1.0.0
       libwifi.so.1
       libsf.so.1.0.0
       libsf.so.1
       libui.so.1
       libhybris/linker/n.so
       libhybris/linker/jb.so
       libhybris/linker/mm.so
       libhybris/eglplatform_hwcomposer.so
       libhybris/eglplatform_wayland.so
       libhybris/eglplatform_null.so
       libhybris/libhardware.so.2
       libhybris/eglplatform_fbdev.so
       libhybris_ics.so
       libhybris-common.so.1
       libis.so.1
       libcamera.so.1
       libcamera.so.1.0.0
       libnfc_nxp.so.1
       libsync.so.2
       libsync.so.2.0.0
       libandroid-properties.so.1.0.0
       libvibrator.so.1
       libhybris-eglplatformcommon.so.1.0.0
       libhybris-common.so.1.0.0
       libhardware.so.2.0.0
       libhybris-eglplatformcommon.so.1
       libis.so.1.0.0
       libhardware.so.2
       libhybris-hwcomposerwindow.so.1
       libwifi.so.1.0.0
       libvibrator.so.1.0.0"

LIBGL_FILES="libhybris-egl/libEGL.so.1
             libhybris-egl/libEGL.so.1.0.0
             libhybris-egl/libGLESv1_CM.so.1
             libhybris-egl/libGLESv1_CM.so.1.0.1
             libhybris-egl/libGLESv2.so.2
             libhybris-egl/libGLESv2.so.2.0.0
             libhybris-egl/libOpenCL.so.1
             libhybris-egl/libOpenCL.so.1.0.0
             libhybris-egl/libwayland-egl.so.1
             libhybris-egl/libwayland-egl.so.1.0.0"

TARGET="/var/lib/flatpak/extension/org.freedesktop.Platform.GL.default/#DEB_HOST_GNU_CPU#/1.4/lib"
LIBDIR="/usr/lib/#DEB_HOST_MULTIARCH#"

case "$1" in
    configure)
        echo "Updating files in ${TARGET} ..."
        if ! [ -d ${TARGET} ]; then
            mkdir -p ${TARGET}
            mkdir -p ${TARGET}/libhybris
            mkdir -p ${TARGET}/libhybris/linker
        fi

        for file in ${FILES}; do
            if [ -f ${LIBDIR}/$file ]; then
                echo "  $file"
                cp -a ${LIBDIR}/${file} ${TARGET}/${file}
            fi
        done

        for file in ${LIBGL_FILES}; do
            if [ -f ${LIBDIR}/$file ]; then
                echo "  $file"
                cp -a ${LIBDIR}/${file} ${TARGET}
            fi
        done

        if ! [ -f ${TARGET}/libhybris/libhardware.so.2 ]; then
            ln -s ../libhardware.so.2.0.0 ${TARGET}/libhybris/libhardware.so.2
        fi
    ;;
esac

#DEBHELPER#
